-- Azura_Dance
-- Author: Mathetes tou Megalou Alexandrou
-- DateCreated: 5/12/2018 1:31:16 AM
--------------------------------------------------------------
include("PlotIterators_AV.lua")
include("IconSupport.lua")

local iSongstress = GameInfoTypes["UNIT_MATHALX_HYMNOPOIOS"]
local iDiva = GameInfoTypes["UNIT_MATHALX_DIVA"]

local iSingPromotion = GameInfoTypes["PROMOTION_MATHALX_SONG"]
local iDivaHeal = GameInfoTypes["PROMOTION_MATHALX_DIVA_HEAL"]
local iDivaStrength = GameInfoTypes["PROMOTION_MATHALX_DIVA_POWER"]
local iDivaAlacrity = GameInfoTypes["PROMOTION_MATHALX_DIVA_ALACRITY"]

local iDivaStrengthUp = GameInfoTypes["PROMOTION_MATHALX_DIVA_POWER_UP"]
local iDivaAlacrityUp = GameInfoTypes["PROMOTION_MATHALX_DIVA_ALACRITY_UP"]

local turn = 0;

function SongstressSing()
	local agonistes = selUnit:GetOwner()
	local kleros = selUnit:GetPlot()
	if selUnit:GetMoves() > 0 then
		for klerosHeteros in PlotAreaSweepIterator(kleros, 1, SECTOR_NORTH, DIRECTION_CLOCKWISE, DIRECTION_OUTWARDS, CENTRE_INCLUDE) do
			for c = 0, klerosHeteros:GetNumUnits() - 1, 1 do
				local lochos = klerosHeteros:GetUnit(c)
				if lochos then
					--print("YOU ARE THE OCEAN'S GREY WAVES")
					local isMissile = false
					if GameInfo.Units[lochos:GetUnitType()].Special == "SPECIALUNIT_MISSILE" then
						isMissile = true
						print("ANG")
					end
					if lochos:GetOwner() == agonistes and lochos:GetUnitType() ~= iSongstress and lochos:GetUnitType() ~= iDiva and (not lochos:IsHasPromotion(iSingPromotion)) and not isMissile then
						--print("BOONGTAK")
						lochos:SetHasPromotion(iSingPromotion, true)

						if selUnit:IsHasPromotion(iDivaHeal) then
							lochos:ChangeDamage(-30)
						end
						if selUnit:IsHasPromotion(iDivaStrength) then
							lochos:SetHasPromotion(iDivaStrengthUp, true)
						end
						if selUnit:IsHasPromotion(iDivaAlacrity) then
							lochos:SetHasPromotion(iDivaAlacrityUp, true)
						end

						lochos:ChangeMoves(lochos:MaxMoves()-lochos:MovesLeft())
					end
				end
			end
		end
		selUnit:ChangeMoves(-selUnit:MovesLeft())
		Controls.AzuraDanceButton:SetDisabled(true)
	else
		Controls.AzuraDanceButton:SetDisabled(true)
	end
end

Controls.AzuraDanceButton:RegisterCallback(Mouse.eLClick, SongstressSing )
IconHookup(5, 45, "UNIT_ACTION_ATLAS", Controls.Image )
Controls.AzuraDance:SetHide(true)

function SelectSongstress(player, unitID, x, y, a5, bool)
	if bool and player == turn then

		local taxeis = Players[player]:GetUnitByID(unitID);

		if taxeis:GetUnitType() == iSongstress or taxeis:GetUnitType() == iDiva then
			Controls.AzuraDance:SetHide(false)
			selUnit = taxeis;
			Controls.AzuraDanceButton:SetDisabled(false)
			local SacToolTip = Locale.ConvertTextKey("TXT_KEY_MATHALX_DANCE")
			Controls.AzuraDanceButton:LocalizeAndSetToolTip("" .. SacToolTip .. "")
			
			if taxeis:GetMoves() > 0 then
				Controls.AzuraDanceButton:SetDisabled(false)
			else	
				Controls.AzuraDanceButton:SetDisabled(true)
			end
		end

	else
		Controls.AzuraDance:SetHide(true)
		selUnit = nil;
	end
end
Events.UnitSelectionChanged.Add(SelectSongstress);

function clearPromotions(iPlayer)
	local agonistes = Players[iPlayer]
	turn = iPlayer

	if iPlayer ~= Game.GetActivePlayer() then
		Controls.AzuraDance:SetHide(true)
	end

	for taxeis in agonistes:Units() do
		if taxeis:GetUnitType() == iSongstress or taxeis:GetUnitType() == iDiva or taxeis:IsHasPromotion(iSingPromotion) then
			taxeis:SetHasPromotion(iSingPromotion, false)
		end
		if taxeis:IsHasPromotion(iDivaStrengthUp) then
			taxeis:SetHasPromotion(iDivaStrengthUp, false)
		end
		if taxeis:IsHasPromotion(iDivaAlacrityUp) then
			taxeis:SetHasPromotion(iDivaAlacrityUp, false)
		end
	end
end

GameEvents.PlayerDoTurn.Add(clearPromotions)