-- HarukaMisaki_UI
-- Author: Mathetes tou Megalou Alexandrou
-- DateCreated: 10/15/2017 5:32:59 PM
--------------------------------------------------------------
include("Sukritact_SaveUtils.lua"); MY_MOD_NAME = "Azura_Valla";
local bIsActivePlayerValla;
local iVallaCiv = GameInfoTypes["CIVILIZATION_MATHALX_AZURA_VALLA"]

local iSongstress = GameInfoTypes["UNIT_MATHALX_HYMNOPOIOS"]

local iDrama = GameInfoTypes["TECH_DRAMA"]

local iMod = ((GameInfo.GameSpeeds[Game.GetGameSpeedType()].BuildPercent)/100)

local loaded = false

function AzuraBuySongstress(iPlayer, iCity, eUnit, gold, FoC)
	local agonistes = Players[iPlayer]
	local asty = agonistes:GetCityByID(iCity)
	local taxeis = agonistes:GetUnitByID(eUnit)

	if taxeis:GetUnitType() == iSongstress then
		save(agonistes, "Azura_Songstress_Purchase", math.ceil(12 * iMod))

		UpdateDaUI()
	end
end

function AzuraSongstress(iPlayer, iCity, iUnit)
	local agonistes = Players[iPlayer]
	if GameInfo.Units[iUnit].Type == "UNIT_MATHALX_HYMNOPOIOS" then
		if load(agonistes, "Azura_Songstress_Purchase") == nil then
			return false
		else
			return load(agonistes, "Azura_Songstress_Purchase") <= 0
		end
	end
	return true
end

GameEvents.CityCanTrain.Add(AzuraSongstress)

function RefreshAzuraUI()
	if Players[Game:GetActivePlayer()]:GetCivilizationType() == iVallaCiv then
		bIsActivePlayerValla = true
	else
		bIsActivePlayerValla = false
	end
end

RefreshAzuraUI()

if not bIsActivePlayerValla then
	ContextPtr:SetHide( true );
end

function UpdateDaUI()
	local agonistes = Players[Game:GetActivePlayer()]
	local DaText

	if Players[Game:GetActivePlayer()]:GetCivilizationType() == iVallaCiv then
		if not Teams[agonistes:GetTeam()]:IsHasTech(GameInfo.Technologies[iDrama].ID) then
			DaText = Locale.ConvertTextKey("TXT_KEY_MATHALX_MESSAGE_CANNOT_PURCHASE_HYMNOPOIOS_TECH")
		elseif load(agonistes, "Azura_Songstress_Purchase") > 0 then
			DaText = Locale.ConvertTextKey("TXT_KEY_MATHALX_MESSAGE_CANNOT_PURCHASE_HYMNOPOIOS_COOLDOWN", load(agonistes, "Azura_Songstress_Purchase"))
		else
			DaText = Locale.ConvertTextKey("TXT_KEY_MATHALX_MESSAGE_CAN_PURCHASE_HYMNOPOIOS")
		end
	end

	--print(DaText)

	Controls.AzuraText:SetText(DaText);
	Controls.TextBox:DoAutoSize();
end

ContextPtr:SetUpdate(UpdateDaUI())

function AzuraDramaTech(iTeam, iTech, iChange)
	for jPlayer = 0, GameDefines.MAX_MAJOR_CIVS - 1, 1 do
		local agonistes = Players[jPlayer]
		if agonistes:GetCivilizationType() == iVallaCiv and agonistes:GetTeam() == iTeam then
			if iTech == iDrama then
				print("GOJARANI")
				UpdateDaUI()
			end
		end
	end
end

function doTurnAzura(iPlayer)
	local agonistes = Players[iPlayer]
	if load(agonistes, "Azura_Songstress_Purchase") ~= nil then
		if load(agonistes, "Azura_Songstress_Purchase") > 0 then
			save(agonistes, "Azura_Songstress_Purchase", load(agonistes, "Azura_Songstress_Purchase") - 1)
		end
	end
	UpdateDaUI()
end

for iPlayer = 0, GameDefines.MAX_MAJOR_CIVS-1, 1 do
	local agonistes = Players[iPlayer]
	if agonistes:GetCivilizationType() == iVallaCiv then
		if not loaded then
			GameEvents.CityTrained.Add(AzuraBuySongstress)
			GameEvents.PlayerDoTurn.Add(doTurnAzura)
			loaded = true
		end
		
		if load(agonistes, "Azura_Songstress_Purchase") == nil then
			save(agonistes, "Azura_Songstress_Purchase", 0)
		end
	end
end

function OnEnterCityScreen()
    ContextPtr:SetHide( true );
end

function OnExitCityScreen()
	ContextPtr:SetHide( false );
end

if bIsActivePlayerValla then
	Events.SerialEventExitCityScreen.Add( OnExitCityScreen );
	Events.SerialEventEnterCityScreen.Add( OnEnterCityScreen );
	GameEvents.TeamTechResearched.Add(AzuraDramaTech);
	UpdateDaUI()
end