-- Insert SQL Rules Here 
INSERT INTO Civilizations 	
			(Type, 									Description, 								ShortDescription, 										Adjective, 							CivilopediaTag, 				DefaultPlayerColor, 		ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix,		 IconAtlas, 			AlphaIconAtlas, 			PortraitIndex,		SoundtrackTag, 	MapImage, 				DawnOfManQuote,  			DawnOfManImage,	DawnOfManAudio)
SELECT	'CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CIV_MATHALX_AZURA_VALLA_DESC', 	'TXT_KEY_CIV_MATHALX_AZURA_VALLA_SHORT_DESC', 	'TXT_KEY_CIV_MATHALX_AZURA_VALLA_ADJECTIVE', 	'TXT_KEY_CIV5_MATHALX_AZURA_VALLA', 	'PLAYERCOLOR_MATHALX_AZURA_VALLA',	ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, 'MATHALX_AZURA_VALLA_ATLAS',	'MATHALX_AZURA_VALLA_ALPHA_ATLAS',	0, 				'Hellenistic',		'Mathalx_Azura_Map.dds',	'TXT_KEY_CIV5_MATHALX_AZURA_VALLA_DOM', 'Mathalx_Azura_DOM.dds',	'AS2D_DOM_SPEECH_MATHALX_AZURA'
FROM Civilizations WHERE Type = 'CIVILIZATION_GREECE';
--------------------------------
-- Civilization_CityNames
--------------------------------		
INSERT INTO Civilization_CityNames 
		(CivilizationType, 				CityName)
VALUES	('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_GYGES'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_CYRKENSIA'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_ATHENAION'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_MOUSEION_AZURA'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_HERODEION'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_MEGARON_MOUSIKES'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_THEATRON_MILESION'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_DIONYSIA'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_THEATRON_DIONYSIOU_ELEUTHEREOS'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_AMPHIAIREION_OROPOU'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_THEATRON_LARISSES'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_ZEA'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_BOLSHOI'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_SCALA'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_GLOBE'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_APOLLO'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_CITY_NAME_MATHALX_NIGRAFANTASIA');	
--------------------------------
-- Civilization_FreeBuildingClasses
--------------------------------		
INSERT INTO Civilization_FreeBuildingClasses 
		(CivilizationType, 				BuildingClassType)
SELECT	'CIVILIZATION_MATHALX_AZURA_VALLA', 	BuildingClassType
FROM Civilization_FreeBuildingClasses WHERE CivilizationType = 'CIVILIZATION_GREECE';
--------------------------------
-- Civilization_FreeTechs
--------------------------------	
INSERT INTO Civilization_FreeTechs 
		(CivilizationType, 				TechType)
SELECT	'CIVILIZATION_MATHALX_AZURA_VALLA', 	TechType
FROM Civilization_FreeTechs WHERE CivilizationType = 'CIVILIZATION_GREECE';
--------------------------------
-- Civilization_FreeUnits
--------------------------------	
INSERT INTO Civilization_FreeUnits 
		(CivilizationType, 				UnitClassType, Count, UnitAIType)
SELECT	'CIVILIZATION_MATHALX_AZURA_VALLA', 	UnitClassType, Count, UnitAIType
FROM Civilization_FreeUnits WHERE CivilizationType = 'CIVILIZATION_GREECE';
--------------------------------
-- Civilization_Leaders
--------------------------------		
INSERT INTO Civilization_Leaders 
		(CivilizationType, 				LeaderheadType)
VALUES	('CIVILIZATION_MATHALX_AZURA_VALLA', 	'LEADER_MATHALX_AZURA');
--------------------------------	
-- Civilization_BuildingClassOverrides 
--------------------------------		
INSERT INTO Civilization_BuildingClassOverrides 
		(CivilizationType, 					BuildingClassType, 				BuildingType)
VALUES	('CIVILIZATION_MATHALX_AZURA_VALLA', 	'BUILDINGCLASS_OPERA_HOUSE',	'BUILDING_MATHALX_ODEION');
--------------------------------
-- Civilization_UnitClassOverrides 
--------------------------------	
INSERT INTO Civilization_UnitClassOverrides 
		(CivilizationType, 				UnitClassType, 				UnitType)
VALUES	('CIVILIZATION_MATHALX_AZURA_VALLA', 	'UNITCLASS_GREAT_GENERAL', 	'UNIT_MATHALX_HYMNOPOIOS');
--------------------------------
-- Civilization_Religions
--------------------------------	
INSERT INTO Civilization_Religions 
		(CivilizationType, 				ReligionType)
VALUES	('CIVILIZATION_MATHALX_AZURA_VALLA',	'RELIGION_ORTHODOXY');
--------------------------------
-- Civilization_SpyNames
--------------------------------	
INSERT INTO Civilization_SpyNames 
		(CivilizationType, 				SpyName)
VALUES	('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_SPY_NAME_MATHALX_THESPIS'),	
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_SPY_NAME_MATHALX_PHRYNIKOS'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_SPY_NAME_MATHALX_PRATINAS'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_SPY_NAME_MATHALX_MENANDROS'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_SPY_NAME_MATHALX_MELPOMENE'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_SPY_NAME_MATHALX_THALIA'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_SPY_NAME_MATHALX_MCORN'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_SPY_NAME_MATHALX_FCORN'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_SPY_NAME_MATHALX_SHIGURE'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_SPY_NAME_MATHALX_KANA'),
			('CIVILIZATION_MATHALX_AZURA_VALLA', 	'TXT_KEY_SPY_NAME_MATHALX_VAN_DARKHOLME_AZURA');
--==========================================================================================================================
-- Civilization_Start_Region_Priority
--==========================================================================================================================	
INSERT INTO Civilization_Start_Along_Ocean
		(CivilizationType, 				StartAlongOcean)
VALUES	('CIVILIZATION_MATHALX_AZURA_VALLA', 	1);