-- Insert SQL Rules Here 
INSERT OR REPLACE INTO IconTextureAtlases 
			(Atlas, 									IconSize, 	Filename, 								IconsPerRow, 	IconsPerColumn)
VALUES		('MATHALX_AZURA_VALLA_ATLAS', 				256, 		'Mathalx_Azura_Icon_Atlas_256.dds',			5, 				1),
			('MATHALX_AZURA_VALLA_ATLAS', 				128, 		'Mathalx_Azura_Icon_Atlas_128.dds',			5, 				1),
			('MATHALX_AZURA_VALLA_ATLAS', 				80, 		'Mathalx_Azura_Icon_Atlas_80.dds',			5, 				1),
			('MATHALX_AZURA_VALLA_ATLAS', 				45, 		'Mathalx_Azura_Icon_Atlas_45.dds',			5, 				1),
			('MATHALX_AZURA_VALLA_ATLAS', 				64, 		'Mathalx_Azura_Icon_Atlas_64.dds',			5, 				1),
			('MATHALX_AZURA_VALLA_ATLAS', 				32, 		'Mathalx_Azura_Icon_Atlas_32.dds',			5, 				1),
			('MATHALX_AZURA_VALLA_ALPHA_ATLAS', 		128, 		'Mathalx_Azura_Alpha_128.dds',	1, 				1),
			('MATHALX_AZURA_VALLA_ALPHA_ATLAS', 		80, 		'Mathalx_Azura_Alpha_80.dds',		1, 				1),
			('MATHALX_AZURA_VALLA_ALPHA_ATLAS', 		64, 		'Mathalx_Azura_Alpha_64.dds',		1, 				1),
			('MATHALX_AZURA_VALLA_ALPHA_ATLAS', 		48, 		'Mathalx_Azura_Alpha_48.dds',		1, 				1),
			('MATHALX_AZURA_VALLA_ALPHA_ATLAS', 		45, 		'Mathalx_Azura_Alpha_45.dds',		1, 				1),
			('MATHALX_AZURA_VALLA_ALPHA_ATLAS', 		32, 		'Mathalx_Azura_Alpha_32.dds',		1, 				1),
			('MATHALX_AZURA_VALLA_ALPHA_ATLAS', 		24, 		'Mathalx_Azura_Alpha_24.dds',		1, 				1),
			('MATHALX_AZURA_VALLA_ALPHA_ATLAS', 		16, 		'Mathalx_Azura_Alpha_16.dds',		1, 				1),
			('UNITS_MATHALX_SONGSTRESS_FLAG_ATLAS', 		32, 	'Mathalx_Azura_Songstress_Alpha_32.dds',			1, 				1);

INSERT INTO Colors 
			(Type, 												Red, 		Green, 		Blue, 	Alpha)
VALUES		('COLOR_PLAYER_MATHALX_AZURA_VALLA_ICON', 			0.3, 		0.625, 		0.9, 		1),
			('COLOR_PLAYER_MATHALX_AZURA_VALLA_BACKGROUND', 	0.64,		0.85,		1, 		1);
------------------------------
-- PlayerColors
------------------------------				
INSERT INTO PlayerColors 
			(Type, 								PrimaryColor, 							SecondaryColor, 							TextColor)
VALUES		('PLAYERCOLOR_MATHALX_AZURA_VALLA', 	'COLOR_PLAYER_MATHALX_AZURA_VALLA_ICON', 	'COLOR_PLAYER_MATHALX_AZURA_VALLA_BACKGROUND', 'COLOR_PLAYER_WHITE_TEXT');