-- Insert SQL Rules Here 
INSERT OR REPLACE INTO UnitPromotions 
			(Type, 								Description, 								Help, 											Sound, 				CanMoveAfterAttacking,	ExtraAttacks,	ExperiencePercent, 	FreePillageMoves,	TradeMissionInfluenceModifier,	CannotBeChosen, PortraitIndex, 	IconAtlas, 			PediaType, 			PediaEntry)
VALUES		('PROMOTION_MATHALX_SONG',			'TXT_KEY_PROMOTION_MATHALX_SONG',			'TXT_KEY_PROMOTION_MATHALX_SONG_HELP', 			'AS2D_IF_LEVELUP', 	0,						1,				0,					0,					0,								1, 				59, 			'ABILITY_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_MATHALX_SONG'),
			('PROMOTION_MATHALX_SONGSTRESS',	'TXT_KEY_PROMOTION_MATHALX_SONGSTRESS',		'TXT_KEY_PROMOTION_MATHALX_SONGSTRESS_HELP',	'AS2D_IF_LEVELUP',	0,						0,				50,					0,					0,								1, 				59, 			'ABILITY_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_MATHALX_SONGSTRESS'),
			('PROMOTION_MATHALX_DIVA',			'TXT_KEY_PROMOTION_MATHALX_DIVA',			'TXT_KEY_PROMOTION_MATHALX_DIVA_HELP',			'AS2D_IF_LEVELUP',	0,						0,				0,					0,					400,							1, 				59, 			'ABILITY_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_MATHALX_DIVA');

INSERT OR REPLACE INTO UnitPromotions 
			(Type, 								Description, 								Help, 											Sound, 				CanMoveAfterAttacking,	ExtraAttacks,	ExperiencePercent, 	FreePillageMoves,	CannotBeChosen, PortraitIndex, 	PromotionPrereqOr1,				IconAtlas, 						PediaType, 			PediaEntry)
VALUES		('PROMOTION_MATHALX_DIVA_HEAL',		'TXT_KEY_PROMOTION_MATHALX_DIVA_HEAL',		'TXT_KEY_PROMOTION_MATHALX_DIVA_HEAL_HELP',		'AS2D_IF_LEVELUP',	0,						0,				0,					0,					0, 				9, 				'PROMOTION_MATHALX_DIVA',		'EXPANSION2_PROMOTION_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_MATHALX_DIVA_HEAL'),
			('PROMOTION_MATHALX_DIVA_POWER',	'TXT_KEY_PROMOTION_MATHALX_DIVA_POWER',		'TXT_KEY_PROMOTION_MATHALX_DIVA_POWER_HELP',	'AS2D_IF_LEVELUP',	0,						0,				0,					0,					0, 				9, 				'PROMOTION_MATHALX_DIVA',		'EXPANSION2_PROMOTION_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_MATHALX_DIVA_POWER'),
			('PROMOTION_MATHALX_DIVA_ALACRITY',	'TXT_KEY_PROMOTION_MATHALX_DIVA_ALACRITY',	'TXT_KEY_PROMOTION_MATHALX_DIVA_ALACRITY_HELP',	'AS2D_IF_LEVELUP',	0,						0,				0,					0,					0, 				9, 				'PROMOTION_MATHALX_DIVA',		'EXPANSION2_PROMOTION_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_MATHALX_DIVA_ALACRITY');

INSERT INTO UnitPromotions_UnitCombats
			(PromotionType,						UnitCombatType)
VALUES		('PROMOTION_MATHALX_DIVA_HEAL',		'UNITCOMBAT_MELEE'),
			('PROMOTION_MATHALX_DIVA_POWER',	'UNITCOMBAT_MELEE'),
			('PROMOTION_MATHALX_DIVA_ALACRITY',	'UNITCOMBAT_MELEE');

INSERT OR REPLACE INTO UnitPromotions 
			(Type, 									Description, 									Help, 												Sound, 				AttackMod,	DefenseMod,	MovesChange, 	CannotBeChosen, PortraitIndex, 	IconAtlas, 			PediaType, 			PediaEntry)
VALUES		('PROMOTION_MATHALX_DIVA_POWER_UP',		'TXT_KEY_PROMOTION_MATHALX_DIVA_POWER_UP',		'TXT_KEY_PROMOTION_MATHALX_DIVA_POWER_UP_HELP',		'AS2D_IF_LEVELUP',	25,			25,			0,				1,				59, 			'ABILITY_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_MATHALX_DIVA_POWER_UP'),
			('PROMOTION_MATHALX_DIVA_ALACRITY_UP',	'TXT_KEY_PROMOTION_MATHALX_DIVA_ALACRITY_UP',	'TXT_KEY_PROMOTION_MATHALX_DIVA_ALACRITY_UP_HELP',	'AS2D_IF_LEVELUP',	0,			0,			1,				1,				59, 			'ABILITY_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_MATHALX_DIVA_ALACRITY_UP');


-- Credits to Divine Yuri's Tracer
--CREATE TABLE IF NOT EXISTS Mathalx_Numbers (num integer default 0);
--INSERT OR REPLACE INTO Mathalx_Numbers
--		(num)
--VALUES	('1'),('2'),('4'),('8');

--INSERT INTO UnitPromotions
--		(
--			Type,				Description,				Help,
--			Sound,				CannotBeChosen,				PortraitIndex,
--			IconAtlas,			PediaType,					PediaEntry,
--			MovesChange,		ExtraAttacks,				CanMoveAfterAttacking

--		)
--SELECT	('PROMOTION_MATHALX_AI_SONG_'||num),	('TXT_KEY_PROMOTION_MATHALX_AI_SONG'),	('TXT_KEY_PROMOTION_MATHALX_AI_SONG'),
--		('AS2D_IF_LEVELUP'),					('true'),			33,
--		('PROMOTION_ATLAS'),					('PEDIA_SHARED'),	('TXT_KEY_PROMOTION_MOBILITY'),
--		num,					1,							1
--FROM Mathalx_Numbers WHERE num IN ('1','2','4','8');