--==========================================================================================================================	
-- LEADERS
--==========================================================================================================================	
-- Leaders
--------------------------------			
INSERT INTO Leaders 
			(Type, 						Description, 						Civilopedia, 							CivilopediaTag, 								ArtDefineTag, 				VictoryCompetitiveness, WonderCompetitiveness, 	MinorCivCompetitiveness, 	Boldness, 	DiploBalance, 	WarmongerHate, 	DenounceWillingness, 	DoFWillingness, Loyalty, 	Neediness, 	Forgiveness, 	Chattiness, Meanness, 	IconAtlas, 							PortraitIndex)
VALUES		('LEADER_MATHALX_AZURA', 	'TXT_KEY_LEADER_MATHALX_AZURA', 	'TXT_KEY_LEADER_MATHALX_AZURA_PEDIA', 	'TXT_KEY_CIVILOPEDIA_LEADERS_MATHALX_AZURA', 	'Mathalx_Azura_Scene.xml', 	1, 						2, 						2, 							4, 			6, 				5, 				2, 						6, 				8, 			5, 			6, 				2, 			1, 			'MATHALX_AZURA_VALLA_ATLAS',	1);
--------------------------------
-- Leader_MajorCivApproachBiases
--------------------------------					
INSERT INTO Leader_MajorCivApproachBiases 
			(LeaderType, 				MajorCivApproachType, 				Bias)
VALUES		('LEADER_MATHALX_AZURA', 	'MAJOR_CIV_APPROACH_WAR', 			3),
			('LEADER_MATHALX_AZURA', 	'MAJOR_CIV_APPROACH_HOSTILE', 		1),
			('LEADER_MATHALX_AZURA', 	'MAJOR_CIV_APPROACH_DECEPTIVE', 	3),
			('LEADER_MATHALX_AZURA', 	'MAJOR_CIV_APPROACH_GUARDED', 		7),
			('LEADER_MATHALX_AZURA', 	'MAJOR_CIV_APPROACH_AFRAID', 		7),
			('LEADER_MATHALX_AZURA', 	'MAJOR_CIV_APPROACH_FRIENDLY', 		7),
			('LEADER_MATHALX_AZURA', 	'MAJOR_CIV_APPROACH_NEUTRAL', 		6);
--------------------------------
-- Leader_MajorCivApproachBiases
--------------------------------					
INSERT INTO Leader_MinorCivApproachBiases 
			(LeaderType, 				MinorCivApproachType, 				Bias)
VALUES		('LEADER_MATHALX_AZURA', 	'MINOR_CIV_APPROACH_IGNORE', 		7),
			('LEADER_MATHALX_AZURA', 	'MINOR_CIV_APPROACH_FRIENDLY', 		5),
			('LEADER_MATHALX_AZURA', 	'MINOR_CIV_APPROACH_PROTECTIVE', 	4),
			('LEADER_MATHALX_AZURA', 	'MINOR_CIV_APPROACH_CONQUEST', 		1),
			('LEADER_MATHALX_AZURA', 	'MINOR_CIV_APPROACH_BULLY', 		1);
--------------------------------
-- Leader_Flavors
--------------------------------					
INSERT INTO Leader_Flavors 
			(LeaderType, 			FlavorType, 						Flavor)
VALUES		('LEADER_MATHALX_AZURA', 	'FLAVOR_OFFENSE', 					4),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_DEFENSE', 					5),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_CITY_DEFENSE', 				4),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_MILITARY_TRAINING', 		6),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_RECON', 					4),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_RANGED', 					5),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_MOBILE', 					3),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_NAVAL', 					5),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_NAVAL_RECON', 				4),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_NAVAL_GROWTH', 				7),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_NAVAL_TILE_IMPROVEMENT', 	5),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_AIR', 						6),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_EXPANSION', 				4),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_GROWTH', 					7),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_TILE_IMPROVEMENT', 			7),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_INFRASTRUCTURE', 			5),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_PRODUCTION', 				6),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_GOLD', 						4),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_SCIENCE', 					6),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_CULTURE', 					6),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_HAPPINESS', 				6),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_GREAT_PEOPLE', 				8),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_WONDER', 					4),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_RELIGION', 					4),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_DIPLOMACY', 				7),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_SPACESHIP', 				7),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_WATER_CONNECTION', 			6),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_NUKE', 						6),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_USE_NUKE', 					1),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_ESPIONAGE', 				2),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_AIRLIFT', 					5),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_I_TRADE_DESTINATION', 		5),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_I_TRADE_ORIGIN', 			5),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_I_SEA_TRADE_ROUTE', 		7),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_I_LAND_TRADE_ROUTE', 		5),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_ARCHAEOLOGY', 				5),
			('LEADER_MATHALX_AZURA', 	'FLAVOR_AIR_CARRIER', 				7);
--------------------------------
-- Leader_Traits
--------------------------------					
INSERT INTO Leader_Traits 
			(LeaderType, 			TraitType)
VALUES		('LEADER_MATHALX_AZURA', 	'TRAIT_MATHALX_SONGSTRESS_OF_LAKE');
--==========================================================================================================================	
-- TRAITS
--==========================================================================================================================	
-- Traits
--------------------------------	
INSERT INTO Traits 
			(Type, 									Description, 									ShortDescription,									FreeUnit,					FreeUnitPrereqTech)
VALUES		('TRAIT_MATHALX_SONGSTRESS_OF_LAKE', 	'TXT_KEY_TRAIT_MATHALX_SONGSTRESS_OF_LAKE', 	'TXT_KEY_TRAIT_MATHALX_SONGSTRESS_OF_LAKE_SHORT',	'UNITCLASS_GREAT_GENERAL',	'TECH_DRAMA');	