-- Insert SQL Rules Here 
INSERT INTO Units 	
			(Class, Type, 							ShowInPedia,	OneShotTourism,	OneShotTourismPercentOthers,	PrereqTech,		Combat, Cost, 	FaithCost, 	RequiresFaithPurchaseEnabled,	PurchaseOnly,	Moves,	HurryCostModifier,	WorkRate,	Domain,			DefaultUnitAI,		Description,						Civilopedia,							Strategy,										Help,									MilitarySupport, MilitaryProduction, Pillage, ObsoleteTech, AdvancedStartCost, GoodyHutUpgradeUnitClass, CombatLimit, XPValueAttack, XPValueDefense, Conscription, UnitArtInfoEraVariation, UnitArtInfo,					UnitFlagAtlas,							UnitFlagIconOffset, PortraitIndex,	IconAtlas,					MoveRate)
SELECT		Class, 	'UNIT_MATHALX_HYMNOPOIOS', 		1,				10,				20,								'TECH_DRAMA',	Combat, 600, 	FaithCost, 	RequiresFaithPurchaseEnabled,	1,				2,		32,					1,			'DOMAIN_LAND',	'UNITAI_GENERAL',	'TXT_KEY_UNIT_MATHALX_HYMNOPOIOS',	'TXT_KEY_UNIT_MATHALX_HYMNOPOIOS_TEXT',	'TXT_KEY_UNIT_MATHALX_HYMNOPOIOS_STRATEGY',		'TXT_KEY_UNIT_MATHALX_HYMNOPOIOS_HELP', MilitarySupport, MilitaryProduction, Pillage, ObsoleteTech, AdvancedStartCost, 'UNITCLASS_MATHALX_DIVA', CombatLimit, XPValueAttack, XPValueDefense, Conscription, 0,						'ART_DEF_MATHALX_SONGSTRESS',	'UNITS_MATHALX_SONGSTRESS_FLAG_ATLAS',	0,					2, 				'MATHALX_AZURA_VALLA_ATLAS', 'GREAT_PERSON'
FROM Units WHERE Type = 'UNIT_GREAT_GENERAL';

INSERT INTO UnitClasses
			(Type,						Description,					DefaultUnit)
VALUES		('UNITCLASS_MATHALX_DIVA',	'TXT_KEY_UNIT_MATHALX_DIVA',	'UNIT_MATHALX_DIVA');

INSERT INTO Units 	
			(Class,						Type, 							ShowInPedia,	OneShotTourism,	OneShotTourismPercentOthers,	PrereqTech,			Combat,		CombatClass,			Cost, 	FaithCost,	PurchaseOnly, 	Moves,	HurryCostModifier,	WorkRate,	Domain,			DefaultUnitAI,		Description,					Civilopedia,						Strategy,									Help,								AdvancedStartCost,	BaseGold,	NumGoldPerEra,	CanBuyCityState,	CombatLimit,	XPValueAttack,	XPValueDefense, Conscription,	UnitArtInfoEraVariation,	UnitArtInfo,					UnitFlagAtlas,							UnitFlagIconOffset, PortraitIndex,	IconAtlas,							MoveRate,		PolicyType)
VALUES		('UNITCLASS_MATHALX_DIVA', 	'UNIT_MATHALX_DIVA', 			1,				10,				20,								'TECH_ACOUSTICS',	22,			'UNITCOMBAT_MELEE',		845, 	0, 			1,				3,		-1,					1,			'DOMAIN_LAND',	'UNITAI_GENERAL',	'TXT_KEY_UNIT_MATHALX_DIVA',	'TXT_KEY_UNIT_MATHALX_DIVA_TEXT',	'TXT_KEY_UNIT_MATHALX_DIVA_STRATEGY',		'TXT_KEY_UNIT_MATHALX_DIVA_HELP',	0,					150,		25,				1,					100,			3,				3,				0,				0,							'ART_DEF_MATHALX_SONGSTRESS',	'UNITS_MATHALX_SONGSTRESS_FLAG_ATLAS',	0,					4, 				'MATHALX_AZURA_VALLA_ATLAS',	'GREAT_PERSON',		'POLICY_MATHALX_AZURA_LOCK');

INSERT INTO Unit_AITypes
			(UnitType, 					UnitAIType)
VALUES		('UNIT_MATHALX_HYMNOPOIOS', 'UNITAI_GENERAL'),
			('UNIT_MATHALX_HYMNOPOIOS', 'UNITAI_ADMIRAL'),
			('UNIT_MATHALX_HYMNOPOIOS', 'UNITAI_MUSICIAN'),
			('UNIT_MATHALX_DIVA',		'UNITAI_GENERAL'),
			('UNIT_MATHALX_DIVA',		'UNITAI_MERCHANT'),
			('UNIT_MATHALX_DIVA',		'UNITAI_DEFENSE'),
			('UNIT_MATHALX_DIVA',		'UNITAI_ATTACK'),
			('UNIT_MATHALX_DIVA',		'UNITAI_MUSICIAN'),
			('UNIT_MATHALX_DIVA',		'UNITAI_ADMIRAL');

INSERT INTO Unit_Flavors
			(UnitType,					FlavorType,			Flavor)
VALUES		('UNIT_MATHALX_HYMNOPOIOS',	'FLAVOR_OFFENSE',	1),
			('UNIT_MATHALX_HYMNOPOIOS',	'FLAVOR_DEFENSE',	1),
			('UNIT_MATHALX_HYMNOPOIOS',	'FLAVOR_CULTURE',	1),
			('UNIT_MATHALX_DIVA',		'FLAVOR_OFFENSE',	1),
			('UNIT_MATHALX_DIVA',		'FLAVOR_DEFENSE',	1),
			('UNIT_MATHALX_DIVA',		'FLAVOR_GOLD',	1),
			('UNIT_MATHALX_DIVA',		'FLAVOR_CULTURE',	1);

INSERT INTO Unit_FreePromotions
			(UnitType,					PromotionType)
VALUES		('UNIT_MATHALX_HYMNOPOIOS',	'PROMOTION_GREAT_ADMIRAL'),
			('UNIT_MATHALX_HYMNOPOIOS',	'PROMOTION_GREAT_GENERAL'),
			('UNIT_MATHALX_HYMNOPOIOS',	'PROMOTION_MATHALX_SONGSTRESS'),
			('UNIT_MATHALX_DIVA',		'PROMOTION_MATHALX_SONGSTRESS'),
			('UNIT_MATHALX_DIVA',		'PROMOTION_MATHALX_DIVA');

INSERT INTO Unit_ClassUpgrades
			(UnitType,					UnitClassType)
VALUES		('UNIT_MATHALX_HYMNOPOIOS',	'UNITCLASS_MATHALX_DIVA');

INSERT INTO Unit_Builds
			(UnitType,					BuildType)
VALUES		('UNIT_MATHALX_HYMNOPOIOS',	'BUILD_CITADEL'),
			('UNIT_MATHALX_DIVA',		'BUILD_CITADEL');